<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "hotels.php";

$keyfld     = "code";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `city` = '$searchTerm'";
    }elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `hotelnm` = '$searchTerm'";
    }elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `category` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `hotelnm` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `category` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `city`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `hotelnm`";
} elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `category`";
}
    
 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


$query = "SELECT * FROM `hotels` WHERE code != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

$getcat = mysqli_query($conn, "SELECT `code`,`name` FROM `hotelcatg` WHERE `code`='$r[category]' ") or die (mysqli_error($conn));
$fetcat = mysqli_fetch_object($getcat);
$catgname = $fetcat->name;
$getcity = mysqli_query($conn, "SELECT `code`,`name` FROM `city` WHERE `code`='$r[city]' ") or die (mysqli_error($conn));
$fetcity = mysqli_fetch_object($getcity);
$cityname = $fetcity->name;

    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'city'      => $cityname,
                'hotelnm'      => $r['hotelnm'],
                'category'      => $catgname,
                'action'    => "$file?mode=edit&code=$r[code]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
